Subject: Re: setup.exe: something besides C++?
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Wed, 05 Mar 2003 15:56:36 -0500

Robert Collins wrote:

> So we:
> Write a perl/tk installer in using activestate perl to be installed
> using a self-extracting executable to allow the installation of cygwin.
> 
> Perhaps I'm pessimistic, but I can just see huge issues with 'your
> installer downgraded my activestate install' and other similar problems.

You unzip everything into a temp directory and it all runs from
there.  No registry entries (or whatever a normal win32 perl install does),
just files temporarily put into an install directory.  We do this already
where I work (which is why I mentioned it in the first place).

I may or may not try it -- time is also a concern for me.
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/